Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class FulltextResultsDto

    java.lang.Object
      com.gisgraphy.domain.valueobject.FulltextResultsDto

    public class FulltextResultsDto

extends java.lang.Object

DTO (data transfer object) that contains a list of `SolrResponseDto` and other metaData like the maximum score, The time the query has take

Author:
  David Masclet

Constructor Summary
`FulltextResultsDto()` Default Constructor
`FulltextResultsDto(org.apache.solr.client.solrj.response.QueryResponse response)`

Method Summary
`java.lang.Float` | `getMaxScore()`
`long` | `getNumFound()`
`int` | `getQTime()`
`java.util.List<SolrResponseDto>` | `getResults()`
`int` | `getResultsSize()`
`void` | `setResultsSize(int resultsSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FulltextResultsDto

    public FulltextResultsDto(org.apache.solr.client.solrj.response.QueryResponse response)

Parameters:
  `response` - The `QueryResponse` to build the DTO

### FulltextResultsDto

    public FulltextResultsDto()

  Default Constructor

Method Detail

### getResults

    public java.util.List<SolrResponseDto> getResults()

  Returns:
    The list of `SolrResponseDto`

### getNumFound

    public long getNumFound()

  Returns:
    the number of results that match the query. It is different from `getResultsSize()` : due to pagination the numFound can be greater than the value returned by getResultsSize()

### getQTime

    public int getQTime()

  Returns:
    The execution time in ms

### getResultsSize

    public int getResultsSize()

  Returns:
    The size of the results. It is different form `numFound` It is different from `getResultsSize()` : due to pagination the numFound can be greater than the value returned by getResultsSize()

### getMaxScore

    public java.lang.Float getMaxScore()

  Returns:
    the maxScore

### setResultsSize

    public void setResultsSize(int resultsSize)

  Parameters:
    `resultsSize` - the resultsSize to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.